AHA152X_CS(4)

NAME
aha152x_cs - Adaptec AHA-152X compatible PCMCIA device driver

SYNOPSIS
insmod aha152x_cs.o [pc_debug= n] [irq_list= i,j,...] [host_id= n] [reconnect= n] [parity= n] [synchronous= n] [reset_delay= n] [ext_trans= n]

DESCRIPTION
aha152x_cs is the low-level Card Services driver for various PCMCIA SCSI adapters that are compatible with the Adaptec AHA-152X host adapter. These include the New Media Bus Toaster, the Adaptec AHA-1460, and various other OEM cards.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

host_id=n
    Specifies the SCSI ID of the host adapter. The default host ID is 7.

reconnect=n
    Enables support for disconnect/reconnect, if non-zero. The default is 1 (true).

parity=n
    Enables SCSI parity checking. The default is 1 (true).

synchronous=n
    Enables negotiation of synchronous SCSI transfers. The default is 0 (false).

reset_delay=n
    Specifies a delay for SCSI bus resets, in 10 millisecond intervals. The default is 100.

ext_trans=n
    Enables the ``extended translation'' scheme for partition tables of drives larger than 1 GB.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8), pcmcia(5).